Rudiments

Rudiments is an C++ class library providing base classes for daemons, clients, servers and listeners, utility classes for strings, lists, dictionaries and xml, and wrapper classes for the standard C library functions.

Introduction

Introduction to Rudiments

Installation

Installing Rudiments

Programming Guides

Base Classes
Utility Classes
Wrapper Classes

Programming Reference

Class Reference